Set a connected shop's own sender address, or go back to the business's
PUT
/customer-email/shops/{shopId}
const url = 'https://example.com/customer-email/shops/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"senderAddress":"hello@example.com","replyTo":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/customer-email/shops/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "senderAddress": "hello@example.com", "replyTo": "hello@example.com" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”shopId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
senderAddress
required
string | null format: email
replyTo
required
string | null format: email
Example generated
{ "senderAddress": "hello@example.com", "replyTo": "hello@example.com"}Responses
Section titled “Responses”A connected shop’s sender
Media typeapplication/json
object
senderAddress
required
string | null format: email
replyTo
required
string | null format: email
shopId
required
string format: uuid
shopName
required
string
customerName
required
string | null
domain
required
string | null
status
required
string
records
required
Array<object>
object
type
required
string
name
required
string
value
required
string
priority
integer
status
required
string
checkedAt
required
string | null format: date-time
problem
required
string | null
Example
{ "status": "default", "records": [ { "type": "TXT" } ], "problem": "ownership"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not permitted
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such connected shop
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Domain already in use or must be disconnected first
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Invalid settings
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}